- name: Install utilities
  become: yes
  apt:
    state: latest
    install_recommends: false
    name:
      - swaylock
      - swaybg
      - swayidle
      - waybar
      - wofi
      - xdg-desktop-portal-wlr
      - xdg-desktop-portal-gtk
      - xfce4-appfinder
      - rtkit
      - pipewire
      - pipewire-pulse
      - wireplumber
      - qpwgraph
      - alsa-utils
      - brightnessctl
      - gnome-keyring
      - adwaita-icon-theme
      - fonts-firacode
      - fonts-font-awesome
      - fonts-noto-color-emoji
      - thunar
      - dunst
      - polkit-kde-agent-1
      - slurp
      - grim
      - swappy

- name: Install zsh
  become: yes
  apt:
    state: present
    install_recommends: false
    name: zsh
  register: zsh_installation

- name: Install Oh My Zsh
  ansible.builtin.command:
    cmd: sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
    chdir: "{{ ansible_env.HOME }}"
  when: zsh_installation is changed